[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#599472: Permission to upload opensync-0.22 to testing-proposed-updates



Package: release.debian.org

I have finally found time earlier this week to revert opensync packaging
to the stable 0.2x branch, and I would like to propose this as a way to
ship opensync to our users.  This would make users of Blackberry (via
barry) and Windows Mobile (via synce-sync-engine) devices able to sync.
I have talked to a couple of users, and they said those worked more or
less fine before opensync got all messed up in unstable and finally
removed from testing (but I do not own such a device myself).

As the 0.39 packages got uploaded (accidently, thanks to sbuild) to
unstable some time ago, an upload to testing-proposed-updates would be
the way to go.  I have prepared such an upload (0.22-4squeeze1) with a
couple of additional fixes from upstream's subversion repository:

 opensync (0.22-4squeeze1) testing-proposed-updates; urgency=low
 .
   * Upload to testing-proposed-updates (Closes: #580867).
   * wrapper/opensync.i: Applied patch by Mark Ellis, porting opensync.i to
     swig-1.3.40 (Closes: #562159).
   * wrapper/Makefile.am: Do not pass $(PYTHON_LDFLAGS) when linking the python
     extensions (Closes: #470290).
   * formats/vformats-xml/vformat.c: Applied upstream revision 3575 fixing an
     infinite loop in vformat.

The interdiff to 0.22-4 is attached; I do not think an interdiff to the current
package in unstable would make sense.  This is the diffstat:

 formats/vformats-xml/vformat.c    |    5 +++++
 opensync-0.22/debian/changelog    |   12 ++++++++++++
 opensync-0.22/wrapper/Makefile.am |    2 +-
 wrapper/opensync.i                |    2 +-
 4 files changed, 19 insertions(+), 2 deletions(-)

Uploading this would make it possible to potentially transition the barry and
synce-sync-engine packages (which I believe were removed due to opensync), as
well as the currently still at 0.22 kdepim plugin and the multisync0.90
package in unstable.  Other still at 0.22 plugins in unstable could be
transitioned as well, but they are less important.

Further testing-proposed-updates uploads of the file and evolution2
plugins should be done as well, as they are quite central.

The syncml plugin should get dropped, as it does not work with
libsyncml-0.5.4 (and reverting that does not make sense to me).  For
syncml, syncevolution is probably the better alternative anyway.

I have build and made available some of those packages built against
opensync_0.22-4squeeze1 (barry, synce-sync-engine, libopensync-plugin-
{file,evolution2,kdepim,google-calendar} at

deb http://people.debian.org/~mbanck/opensync-squeeze/ ./

Unfortunately, my internet connection is extremely limited at the moment
as I am on vacation.  I will check this bug report via my mobile, and
will be able to discuss (with some latency) in #debian-release, however.


Thanks for considering,

Michael
diff -u opensync-0.22/wrapper/Makefile.am opensync-0.22/wrapper/Makefile.am
--- opensync-0.22/wrapper/Makefile.am
+++ opensync-0.22/wrapper/Makefile.am
@@ -24,3 +24,3 @@
 nodist__opensync_la_SOURCES = opensync_wrap.c
-_opensync_la_LDFLAGS = @PACKAGE_LIBS@ @XML_LIBS@ $(PYTHON_LDFLAGS) -module -avoid-version
+_opensync_la_LDFLAGS = @PACKAGE_LIBS@ @XML_LIBS@ -module -avoid-version
 _opensync_la_LIBADD = $(top_builddir)/opensync/libopensync.la
diff -u opensync-0.22/debian/changelog opensync-0.22/debian/changelog
--- opensync-0.22/debian/changelog
+++ opensync-0.22/debian/changelog
@@ -1,3 +1,15 @@
+opensync (0.22-4squeeze1) testing-proposed-updates; urgency=low
+
+  * Upload to testing-proposed-updates (Closes: #580867).
+  * wrapper/opensync.i: Applied patch by Mark Ellis, porting opensync.i to
+    swig-1.3.40 (Closes: #562159).
+  * wrapper/Makefile.am: Do not pass $(PYTHON_LDFLAGS) when linking the python
+    extensions (Closes: #470290).
+  * formats/vformats-xml/vformat.c: Applied upstream revision 3575 fixing an
+    infinite loop in vformat.
+
+ -- Michael Banck <mbanck@debian.org>  Mon, 04 Oct 2010 19:35:19 +0200
+
 opensync (0.22-4) unstable; urgency=low
 
   * debian/control (Maintainer): Really remove Robert Collins now. 
only in patch2:
unchanged:
--- opensync-0.22.orig/wrapper/opensync.i
+++ opensync-0.22/wrapper/opensync.i
@@ -82,7 +82,7 @@
 %extend OSyncChange {
 	OSyncChange(PyObject *obj=NULL) {
 		OSyncChange *change = NULL;
-		if (obj)
+		if ((obj) && (obj != Py_None))
 			change = (OSyncChange *)PyCObject_AsVoidPtr(obj);
 		else
 			change = osync_change_new();
only in patch2:
unchanged:
--- opensync-0.22.orig/formats/vformats-xml/vformat.c
+++ opensync-0.22/formats/vformats-xml/vformat.c
@@ -571,6 +571,11 @@
 			osync_trace(TRACE_INTERNAL, "invalid character found in parameter spec: \"%i\" String so far: %s", lp[0], str->str);
 			g_string_assign (str, "");
 			_skip_until (&lp, ":;");
+			if (*lp == '\r') {
+				osync_trace(TRACE_INTERNAL, "string ended unexpectedly with \\r, skipping it");
+				break;
+			}
+
 		}
 	}
 

Reply to: